From: "Alfredo Tupone" <tupone@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ml/ordering/
Date: Wed, 2 Aug 2023 19:53:02 +0000 (UTC) [thread overview]
Message-ID: <1691005934.8490c539ac179c3d1017b9d3f2ab36cc309d0924.tupone@gentoo> (raw)
commit: 8490c539ac179c3d1017b9d3f2ab36cc309d0924
Author: Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 2 19:40:39 2023 +0000
Commit: Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Wed Aug 2 19:52:14 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8490c539
dev-ml/ordering: add 3.10.0
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>
dev-ml/ordering/Manifest | 1 +
dev-ml/ordering/ordering-3.10.0.ebuild | 30 ++++++++++++++++++++++++++++++
2 files changed, 31 insertions(+)
diff --git a/dev-ml/ordering/Manifest b/dev-ml/ordering/Manifest
index 37a687aaba1e..f68aa6173e46 100644
--- a/dev-ml/ordering/Manifest
+++ b/dev-ml/ordering/Manifest
@@ -1,4 +1,5 @@
DIST dune-3.0.3.tar.gz 1725788 BLAKE2B 2de93c085f642c8381642a08b18bc21ad48097f32397b3eddab9725deb267b089849b649705e1b72bb1b5b37f7531fd9e0cfb134174f0cb3a8ee2595c7dcf8ce SHA512 839e942bcf8189763d0d9b01614333bb2f036bce68c82959e51d2e9145b57067cb862b66781912391c1a0f531b8dddf2ffeafcee71c626169a437fe40feba155
+DIST dune-3.10.0.tar.gz 2640800 BLAKE2B 5fc479a91ee6792f07a4fb61af530d55f46dea56b2fd5919975c0bfb231229395e7d0769bdae88419a89d378b8d7e2b229f7410ce7a34414629aa5117e606230 SHA512 2884a4eaaa44164ce911286ca6670b548a4a564e2b5040f05405d1d2729af84083fbfdde7c92db4f6f7a54d15a43fc9dddcec19d8d79d5a66221b2be861473de
DIST dune-3.2.0.tar.gz 1754664 BLAKE2B 97ba420a5bf9dd8e14ba74c0e91b6679924fd9ee7b8d9a9a2d4b282166d9172582a37adf408fd037972dab7525cd240c24729b6692f403c32029b2994044bd40 SHA512 a90ac689d97acab956fd96f16f7c6cfdc95d01785fc14f0d3c8ab39231ff78e8941d2db2fa8cbfaa39bbed8f865e11b628aacae1b22df49512a57d0263c0dca4
DIST dune-3.6.1.tar.gz 1843804 BLAKE2B 1e7bf67b596f60a553f00cfd8287ce36ef4ff5b8d8f16465df3f3b7b6d332ceef5101057df9389aeb9ceb4dc7f23bc69320412aebba7587deeb933a0f8ddca46 SHA512 2db83116a3d0995c8d0dfd6a1581d214f657a7d90c30dea04d5370327e13c575fed6ce74106a79c2e2fe0c02aa2912ae7a9f4e49c36985fb613b6a41de0700c9
DIST dune-3.6.2.tar.gz 1906058 BLAKE2B 7bbf1f346805432015a0e2a20bbeb1d94bbdc9f10537d31129c70466f88713d6659fddae18ab48c95d1a97f5e7931d8a5505eb08b89a27b6193b82b059f1c29e SHA512 636f6cbccca588b576f36840b752fc17d4a46b4c0625262a43c10f948bbb9820bdbee752a8d9a5cf7d5b79987bf824bdef9a44ecf49696959c9f597c4950d7be
diff --git a/dev-ml/ordering/ordering-3.10.0.ebuild b/dev-ml/ordering/ordering-3.10.0.ebuild
new file mode 100644
index 000000000000..3302c44ddac1
--- /dev/null
+++ b/dev-ml/ordering/ordering-3.10.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit dune multiprocessing
+
+DESCRIPTION="Element ordering"
+HOMEPAGE="https://github.com/ocaml/dune"
+SRC_URI="https://github.com/ocaml/dune/archive/${PV}.tar.gz
+ -> dune-${PV}.tar.gz"
+S="${WORKDIR}/dune-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="+ocamlopt"
+RESTRICT="test"
+
+BDEPEND=">=dev-ml/dune-3.5"
+DEPEND=">=dev-lang/ocaml-4.08"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+ :
+}
+
+src_compile() {
+ dune build -p "${PN}" @install -j $(makeopts_jobs) --profile release || die
+}
next reply other threads:[~2023-08-02 19:53 UTC|newest]
Thread overview: 29+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-08-02 19:53 Alfredo Tupone [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-13 9:11 [gentoo-commits] repo/gentoo:master commit in: dev-ml/ordering/ Alfredo Tupone
2024-08-02 12:11 Alfredo Tupone
2024-08-01 18:44 Alfredo Tupone
2024-07-03 16:02 Alfredo Tupone
2024-07-02 7:18 Alfredo Tupone
2024-06-08 15:39 Arthur Zamarin
2024-06-08 15:32 Sam James
2024-06-08 14:21 Arthur Zamarin
2024-06-08 14:21 Arthur Zamarin
2024-06-08 14:21 Arthur Zamarin
2024-06-08 13:45 Alfredo Tupone
2024-06-06 6:16 Alfredo Tupone
2023-07-11 17:01 Alfredo Tupone
2023-07-03 19:02 Alfredo Tupone
2023-05-23 19:37 Alfredo Tupone
2023-05-20 16:47 Alfredo Tupone
2023-04-29 8:52 Arthur Zamarin
2023-04-29 8:51 Arthur Zamarin
2023-04-29 8:36 Arthur Zamarin
2023-04-16 8:41 Alfredo Tupone
2023-04-01 0:55 Sam James
2023-03-17 16:01 Arthur Zamarin
2023-03-01 18:38 Alfredo Tupone
2023-01-30 20:52 Alfredo Tupone
2022-12-16 21:52 Alfredo Tupone
2022-11-22 19:28 Alfredo Tupone
2022-11-20 10:01 Alfredo Tupone
2022-11-19 22:31 Alfredo Tupone
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1691005934.8490c539ac179c3d1017b9d3f2ab36cc309d0924.tupone@gentoo \
--to=tupone@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox